JUCE: AudioProcessorParameterWithIDAttributes Class Reference

JUCE

Public Types | Public Member Functions | List of all members
AudioProcessorParameterWithIDAttributes Class Reference
juce_audio_processors » utilities

An instance of this class may be passed to the constructor of an AudioProcessorParameterWithID to set optional characteristics of that parameter. More...

`#include <juce_AudioProcessorParameterWithID.h>`

## Public Types
using | Category = AudioProcessorParameter::Category

## Public Member Functions
JUCE_NODISCARD auto | withLabel (String x) const
| An optional label for the parameter's value. More...
JUCE_NODISCARD auto | withCategory (Category x) const
| The semantics of this parameter. More...
JUCE_NODISCARD auto | withMeta (bool x) const
JUCE_NODISCARD auto | withAutomatable (bool x) const
JUCE_NODISCARD auto | withInverted (bool x) const
JUCE_NODISCARD auto | getLabel () const
| An optional label for the parameter's value. More...
JUCE_NODISCARD auto | getCategory () const
| The semantics of this parameter. More...
JUCE_NODISCARD auto | getMeta () const
JUCE_NODISCARD auto | getAutomatable () const
JUCE_NODISCARD auto | getInverted () const

## Detailed Description

An instance of this class may be passed to the constructor of an AudioProcessorParameterWithID to set optional characteristics of that parameter.

## Member Typedef Documentation

## ◆ Category

using AudioProcessorParameterWithIDAttributes::Category = AudioProcessorParameter::Category

## Member Function Documentation

## ◆ withLabel()

JUCE_NODISCARD auto AudioProcessorParameterWithIDAttributes::withLabel | ( | String | x | ) | const

An optional label for the parameter's value.

References withMember(), and gl::x.

Referenced by RangedAudioParameterAttributes< Derived, Value >::withLabel().

## ◆ withCategory()

JUCE_NODISCARD auto AudioProcessorParameterWithIDAttributes::withCategory | ( | Category | x | ) | const

The semantics of this parameter.

References withMember(), and gl::x.

Referenced by RangedAudioParameterAttributes< Derived, Value >::withCategory().

## ◆ withMeta()

JUCE_NODISCARD auto AudioProcessorParameterWithIDAttributes::withMeta | ( | bool | x | ) | const

See also
  AudioProcessorParameter::isMetaParameter()

References withMember(), and gl::x.

Referenced by RangedAudioParameterAttributes< Derived, Value >::withMeta().

## ◆ withAutomatable()

JUCE_NODISCARD auto AudioProcessorParameterWithIDAttributes::withAutomatable | ( | bool | x | ) | const

See also
  AudioProcessorParameter::isAutomatable()

References withMember(), and gl::x.

Referenced by RangedAudioParameterAttributes< Derived, Value >::withAutomatable().

## ◆ withInverted()

JUCE_NODISCARD auto AudioProcessorParameterWithIDAttributes::withInverted | ( | bool | x | ) | const

See also
  AudioProcessorParameter::isOrientationInverted()

References withMember(), and gl::x.

Referenced by RangedAudioParameterAttributes< Derived, Value >::withInverted().

## ◆ getLabel()

JUCE_NODISCARD auto AudioProcessorParameterWithIDAttributes::getLabel | ( |  | ) | const

An optional label for the parameter's value.

## ◆ getCategory()

JUCE_NODISCARD auto AudioProcessorParameterWithIDAttributes::getCategory | ( |  | ) | const

The semantics of this parameter.

## ◆ getMeta()

JUCE_NODISCARD auto AudioProcessorParameterWithIDAttributes::getMeta | ( |  | ) | const

See also
  AudioProcessorParameter::isMetaParameter()

## ◆ getAutomatable()

JUCE_NODISCARD auto AudioProcessorParameterWithIDAttributes::getAutomatable | ( |  | ) | const

See also
  AudioProcessorParameter::isAutomatable()

## ◆ getInverted()

JUCE_NODISCARD auto AudioProcessorParameterWithIDAttributes::getInverted | ( |  | ) | const

See also
  AudioProcessorParameter::isOrientationInverted()

The documentation for this class was generated from the following file:

- juce_AudioProcessorParameterWithID.h